// Include the required lua files
include("sh_config.lua")
include("sh_player.lua")


// Include the configuration for this map
if file.Exists("../gamemodes/prop_hunt/gamemode/maps/"..game.GetMap()..".lua") || file.Exists("../lua_temp/prop_hunt/gamemode/maps/"..game.GetMap()..".lua") then
	include("maps/"..game.GetMap()..".lua")
end


// Information about the gamemode
GM.Author = "AMT"
GM.TeamBased = true


// Called on gamemdoe initialization
function GM:CreateTeams()
	TEAM_HUNTERS = 1
	team.SetUp(TEAM_HUNTERS, "Hunters", Color(150, 205, 255, 255))
	team.SetSpawnPoint(TEAM_HUNTERS, {"info_player_counterterrorist", "info_player_combine", "info_player_deathmatch", "info_player_axis"})

	TEAM_PROPS = 2
	team.SetUp(TEAM_PROPS, "Props", Color(255, 60, 60, 255))
	team.SetSpawnPoint(TEAM_PROPS, {"info_player_terrorist", "info_player_rebel", "info_player_deathmatch", "info_player_allies"})
end


// Called when the player takes damage
function GM:PlayerShouldTakeDamage(pl, attacker)
	if attacker:IsPlayer() || (pl:Team() == TEAM_PROPS && !attacker:IsPlayer()) then
		return false
	end
	
	return true
end